Package org.eclipse.emf.cdo.view

## Interface CDOFeatureAnalyzer

-     public interface CDOFeatureAnalyzer

  A call-back interface that is called by a `view` on each model read access.
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOFeatureAnalyzer` | `NOOP` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `postTraverseFeature​(CDOObject revision, EStructuralFeature feature, int index, java.lang.Object value)` |
    `void` | `preTraverseFeature​(CDOObject revision, EStructuralFeature feature, int index)` |

- - ### Field Detail

    - #### NOOP

          static final CDOFeatureAnalyzer NOOP

  - ### Method Detail

    - #### preTraverseFeature

          void preTraverseFeature​(CDOObject revision,
                                  EStructuralFeature feature,
                                  int index)

    - #### postTraverseFeature

          void postTraverseFeature​(CDOObject revision,
                                   EStructuralFeature feature,
                                   int index,
                                   java.lang.Object value)